import { AttachmentDto } from "./Attachment.dto";
import { UserDto } from "./User.dto";
import { GuildMemberDto } from "./GuildMember.dto";
import { MentionsDto } from "./Mentions.dto";
import { RoleDto } from "./Role.dto";
import { ChannelMentionDto } from "./ChannelMention.dto";
import { EmbedDto } from "./Embed.dto";
import { ReactionDto } from "./Reaction.dto";
import { MessageActivityDto } from "./MessageActivity.dto";
import { ApplicationDto } from "./Application.dto";
import { MessageInteractionDto } from "./MessageInteraction.dto";
import { ChannelDto } from "./Channel.dto";
import { MessageStickerDto } from "./MessageSticker.dto";
import { StickerDto } from "./Sticker.dto";
import { MessageReferenceDto } from "./MessageReference.dto";
export declare class MessageDto {
    id: string;
    channel_id: string;
    author: UserDto;
    content: string;
    timestamp: Date;
    edited_timestamp: Date | null;
    tts: boolean;
    mention_everyone: boolean;
    mentions: MentionsDto[];
    mention_roles: RoleDto[];
    attachments: AttachmentDto[];
    embeds: EmbedDto[];
    pinned: boolean;
    type: number;
    guild_id?: string | undefined;
    member?: GuildMemberDto | undefined;
    mention_channels?: ChannelMentionDto[] | undefined;
    reactions?: ReactionDto[] | undefined;
    nonce?: string | number | undefined;
    webhook_id?: string | undefined;
    activity?: MessageActivityDto | undefined;
    application?: ApplicationDto | undefined;
    application_id?: string | undefined;
    message_reference?: MessageReferenceDto | undefined;
    flags?: number | undefined;
    referenced_message?: MessageDto[] | undefined;
    interaction?: MessageInteractionDto | undefined;
    thread?: ChannelDto | undefined;
    components?: unknown[] | undefined;
    sticker_items?: MessageStickerDto[] | undefined;
    stickers?: StickerDto[] | undefined;
    constructor(id: string, channel_id: string, author: UserDto, content: string, timestamp: Date, edited_timestamp: Date | null, tts: boolean, mention_everyone: boolean, mentions: MentionsDto[], mention_roles: RoleDto[], attachments: AttachmentDto[], embeds: EmbedDto[], pinned: boolean, type: number, guild_id?: string | undefined, member?: GuildMemberDto | undefined, mention_channels?: ChannelMentionDto[] | undefined, reactions?: ReactionDto[] | undefined, nonce?: string | number | undefined, webhook_id?: string | undefined, activity?: MessageActivityDto | undefined, application?: ApplicationDto | undefined, application_id?: string | undefined, message_reference?: MessageReferenceDto | undefined, flags?: number | undefined, referenced_message?: MessageDto[] | undefined, interaction?: MessageInteractionDto | undefined, thread?: ChannelDto | undefined, components?: unknown[] | undefined, sticker_items?: MessageStickerDto[] | undefined, stickers?: StickerDto[] | undefined);
}
